#! /bin/bash

BASE_PATH=$(cd `dirname $0`; pwd)
INIT_FILE=$BASE_PATH/tmp/init.lck
PROFILE_FILE=$BASE_PATH/conf/ctlconf.ini

echo "正在启动kettle 插件服务，请稍候......"

if [ ! -f "$PROFILE_FILE" ];then
	echo "系统检测到没有配置，请先安装后再运行！"
	exit 1
fi

echo -e "\n"
echo "正在初始化Soap服务，请稍候..."
$BASE_PATH/bin/soapserver start >/dev/null 2>&1
sleep 3
count=0 
while true
do
	if [ ! -f "$INIT_FILE" ];then
 		echo "启动成功！"
 		exit 0
	fi
	let count=count+1
	if [[ $count -gt 240 ]];then
		echo "启动失败！执行超时."
		exit 1
	fi
	sleep 1
done
