@echo off & setlocal enabledelayedexpansion
title TASKCTL-KETTLE װ
color 0A
@echo.
@echo ************************************************************************
@echo *********************   TASKCTL-KETTLE װ      ***************
@echo *********************   Power by www.taskctl.com         ***************
@echo ************************************************************************
@echo.

SC QUERY taskctl-plugin-kettle > NUL
IF %ERRORLEVEL% EQU 0 (
	goto :SRV_EXIST
)

::ʾKETTLE HOME
set KETTLE_HOME=""
@set /P KETTLE_HOME= kettleװĿ¼
if not exist %KETTLE_HOME% (goto :NOT_EXISTS_KETTLE)

:PROFILE
set PROFILE_TMP_FILE=%~dp0tmp\ctlconf.tmp
if exist %PROFILE_TMP_FILE% (
@del %PROFILE_TMP_FILE% /s > NUL
)

@echo.
@set /P SOAP_IP= 뱾IP
if "%SOAP_IP%" =="" (
	set SOAP_IP=127.0.0.1
)
@echo IP			%SOAP_IP% >> %PROFILE_TMP_FILE%

@echo.
@set /P SOAP_PORT= ˿ (ĬΪ8099)
if "%SOAP_PORT%"=="" (
	set SOAP_PORT=8099
)
@echo ˿ڣ			%SOAP_PORT% >> %PROFILE_TMP_FILE%

@echo.
@set /P REPOSITORY_TYPE= ѡԴ [DB(ݿ)/FILE(ļ)/NONE()]
if /i not "%REPOSITORY_TYPE%"=="DB" (
	if /i not "%REPOSITORY_TYPE%"=="FILE" (
		set REPOSITORY_TYPE=NONE
	)
)
@echo Դͣ			%REPOSITORY_TYPE% >> %PROFILE_TMP_FILE%

if /i "%REPOSITORY_TYPE%"=="DB" (
	@echo.
	@set /P REPOSITORY_NAME= Դ
	@echo Դ			!REPOSITORY_NAME! >> !PROFILE_TMP_FILE!

	@echo.
	@set /P REPOSITORY_USER= Դû
	@echo Դû			!REPOSITORY_USER! >> !PROFILE_TMP_FILE!
	
	@echo.
	@set /P REPOSITORY_PWD= Դ룺
	@echo Դ룺			!REPOSITORY_PWD! >> !PROFILE_TMP_FILE!
	
	@echo.
	@set /P REPOSITORY_DB_TYPE= ݿ [Mysql/Oracle/SQL Server ...]
	@echo ݿͣ			!REPOSITORY_DB_TYPE! >> !PROFILE_TMP_FILE!
	
	@echo.
	@set /P REPOSITORY_DB_ACCESS= ݿӷʽ [Native/ODBC/JNDI]
	if "%REPOSITORY_DB_ACCESS%"=="" (
		@set REPOSITORY_DB_ACCESS=Native
	)
	@echo ݿӷʽ		!REPOSITORY_DB_ACCESS! >> !PROFILE_TMP_FILE!
	
	@echo.
	@set /P REPOSITORY_DB_HOST= ݿHOST
	@echo ݿHOST		!REPOSITORY_DB_HOST! >> !PROFILE_TMP_FILE!
	
	@echo.
	@set /P REPOSITORY_DB_PORT= ݿ˿ڣ
	@echo ݿ˿ڣ		!REPOSITORY_DB_PORT! >> !PROFILE_TMP_FILE!
		
	@echo.
	@set /P REPOSITORY_DB_NAME= ݿʵ
	@echo ݿʵ			!REPOSITORY_DB_NAME! >> !PROFILE_TMP_FILE!
			
	@echo.
	@set /P REPOSITORY_DB_USER= ݿû
	@echo ݿû			!REPOSITORY_DB_USER! >> !PROFILE_TMP_FILE!
	
	@echo.
	@set /P REPOSITORY_DB_PWD= ݿ룺
	@echo ݿ룺			!REPOSITORY_DB_PWD! >> !PROFILE_TMP_FILE!
) 

if /i "%REPOSITORY_TYPE%"=="FILE" (
	@echo.
	@set /P REPOSITORY_NAME= Դ
	@echo Դ			!REPOSITORY_NAME! >> !PROFILE_TMP_FILE!

	@echo.
	@set /P REPOSITORY_FILE_ROOT= ļԴĿ¼
	@echo ļԴĿ¼		!REPOSITORY_FILE_ROOT! >> !PROFILE_TMP_FILE!
) 

@echo.
@echo ȷϢ

@echo ************************************************************************
@echo.
FOR /F "tokens=* delims= " %%i IN (%PROFILE_TMP_FILE%) DO echo %%i
@echo.
@echo ************************************************************************
@set /P ISCONFIRM= Ƿȷ [Y/N]
	
if /i "%ISCONFIRM%" =="Y" (
	set PROFILE_FILE=%~dp0conf\ctlconf.ini
	if exist !PROFILE_FILE! ( @del /f/s/q !PROFILE_FILE!  >nul )
	
	@echo.
	@echo # plugin config >> !PROFILE_FILE!
	@echo PLUGIN.SOAP_ADDRESS=http://!SOAP_IP!:!SOAP_PORT!/SoapAPIService >> !PROFILE_FILE!
	@echo PLUGIN.KETTLE.HOME=!KETTLE_HOME! >> !PROFILE_FILE!
	@echo PLUGIN.KETTLE.USER=%HOMEDRIVE%%HOMEPATH% >> !PROFILE_FILE!	
	@echo PLUGIN.KETTLE.LOGLEVEL=DEBUG >> !PROFILE_FILE!
	
	@echo.
	@echo # repository config  >> !PROFILE_FILE!
	@echo REPOSITORY.TYPE=!REPOSITORY_TYPE! >> !PROFILE_FILE!
	@echo REPOSITORY.NAME=!REPOSITORY_NAME! >> !PROFILE_FILE!
	@echo REPOSITORY.USER=!REPOSITORY_USER! >> !PROFILE_FILE!
	@echo REPOSITORY.PWD=!REPOSITORY_PWD! >> !PROFILE_FILE!
	
	@echo.
	@echo # database repository config >> !PROFILE_FILE!
	@echo REPOSITORY.DB.TYPE=!REPOSITORY_DB_TYPE! >> !PROFILE_FILE!
	@echo REPOSITORY.DB.ACCESS=!REPOSITORY_DB_ACCESS! >> !PROFILE_FILE!
	@echo REPOSITORY.DB.HOST=!REPOSITORY_DB_HOST! >> !PROFILE_FILE!
	@echo REPOSITORY.DB.PORT=!REPOSITORY_DB_PORT! >> !PROFILE_FILE!
	@echo REPOSITORY.DB.NAME=!REPOSITORY_DB_NAME! >> !PROFILE_FILE!
	@echo REPOSITORY.DB.USER=!REPOSITORY_DB_USER! >> !PROFILE_FILE!
	@echo REPOSITORY.DB.PWD=!REPOSITORY_DB_PWD! >> !PROFILE_FILE!

	@echo.
	@echo # file repository config >> !PROFILE_FILE!
	@echo REPOSITORY.FILE.ROOT=!REPOSITORY_FILE_ROOT! >> !PROFILE_FILE!

  
  rem Զ TASKCTL ļ
  set BASE_PATH=%~dp0
	start !BASE_PATH!bin\replace.vbs !BASE_PATH! !SOAP_IP! !SOAP_PORT! !KETTLE_HOME! > nul
	ping -n 2 127.0.0.1>nul
	call %~dp0bin\soapserver.bat install > NUL
  SC QUERY taskctl-plugin-kettle > NUL
  IF !ERRORLEVEL! EQU 1060 (
  	goto :END_FAILED
  )
	
) else (
	goto :PROFILE
)

@set RULE_NAME="taskctl-plugin-kettleӶ˿ڣ%SOAP_PORT% ջ"
netsh advfirewall firewall show rule name=%RULE_NAME% >nul
if not ERRORLEVEL 1 (
rem Բ𣬹 %RULENAME% Ѿ
) else (
echo  %RULENAME% ...
netsh advfirewall firewall add rule name=%RULE_NAME% dir=in action=allow protocol=TCP localport=%SOAP_PORT%
)

:END_SUCCESS
@echo ϲװɡ
@echo ************************************************************************
@echo.
@echo 1ɵ!BASE_PATH!cprunsoapktr.sh (kettle ת)TASKCTL˰װĿ¼
@echo    $TASKCTLDIR/src/plugin/ktrjob/shell/
@echo 2ɵ!BASE_PATH!cprunsoapkjb.sh (kettle job)TASKCTL˰װĿ¼
@echo    $TASKCTLDIR/src/plugin/kjbjob/shell/
@echo 3ȡ̳עںTASKCTLظ 3443  3444
@echo 4ʣ75273038(QQһȺ)422877115(QQȺ)
@echo.
@echo ************************************************************************
@echo.
pause
exit 0

:SRV_EXIST
@echo Ѿtaskctl-plugin-kettleִuninstallжغٰװ
@echo. 
pause
exit 1

:END_FAILED
@echo װʧܣԹԱиýű.
@echo.
pause
exit 1

:NOT_EXISTS_KETTLE
@echo װʧܣkettleװ·Ƿȷ.
@echo.
pause
exit 1